%define pkgname     gnomecanvasmm
%define api_version 2.6

Name: libgnomecanvasmm
Version: 2.6.1
Release: alt1

Summary: A C++ interface for GNOME 2 canvas library
License: LGPL
Group: System/Libraries
Url: http://gtkmm.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/libgnomecanvasmm/2.0/%name-%version.tar.bz2
#Patch0: libgnomecanvasmm-libtool-1.5.patch.bz2

# Automatically added by buildreq on Sun Jun 06 2004
BuildRequires: doxygen gcc-c++ glib2-devel hostinfo libart_lgpl-devel libatk-devel libglibmm-devel libgnomecanvas-devel libgtk+2-devel libgtkmm2-devel libpango-devel libsigc++2.0-devel libstdc++-devel pkgconfig

BuildRequires: libgtkmm2-devel >= 2.4.0

%description
This package provides a C++ interface for gnomecanvas2.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create GNOME GUIs with GTK+'s flexible object-oriented
framework.

%package -n %name-devel
Summary: Headers and development files of GNOME 2 canvas library
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description -n %name-devel
This package contains the headers and various development files needed
for compiling or development of applications that wants C++ interface
of GNOME 2 canvas library.

%prep
%setup -q

%build
export ac_cv_path_PKG_CONFIG="%_bindir/pkg-config --recursive"
%configure --disable-static
%make

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES$/$1 NO/' Doxyfile
  make all
popd

%install
%makeinstall

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING README
%_libdir/*.so.*

%files -n %name-devel
%doc AUTHORS COPYING ChangeLog NEWS docs/reference
%_includedir/*
%_libdir/*.so
%_libdir/lib%pkgname-%api_version
%_libdir/pkgconfig/*.pc

%changelog
* Sun Jun 06 2004 Vitaly Lipatov <lav@altlinux.ru> 2.6.1-alt1
- new version

* Sun Feb 15 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0.1-alt1
- first build for Sisyphus (thanks Mandrake)

* Mon Feb 09 2004 Abel Cheung <deaddog@deaddog.org> 2.0.1-4mdk
- Fix BuildRequires

* Fri Sep 05 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-3mdk
- Replace my changelog with Austin's
- Add missing BuildRequires

* Fri Sep 05 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-2mdk
- Provides basic package name as well

* Sun Aug 24 2003 Austin Acton <aacton@yorku.ca> 2.0.1-1mdk
- 2.0.1
- don't use configure macro
- try to revert to standard name
- adopt Abel's changes (build doc, build static lib)

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 2.0.0-2mdk
- Build static library as well
- Spec file rename to libgnomecanvasmm2.0
- Misc spec file tweaks
- Provides/Obsoletes gnomecanvasmm2.0{,-devel} is unnecessary since
  nothing requires them
- Build docs

* Sun Apr 6 2003 Austin Acton <aacton@yorku.ca> 2.0.0-1mdk
- initial package
